/* RESET */
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

/* BACKGROUND */
body{
    min-height:100vh;
    background:url('../Image/study.jpg') no-repeat center/cover;
    color:#fff;
}

/* OVERLAY */
body::before{
    content:"";
    position:fixed;
    inset:0;
    background:rgba(0,0,0,0.6);
    z-index:-1;
}

/* BACK BUTTON */
.btn-back{
    display:inline-block;
    margin:20px;
    padding:10px 18px;
    background:linear-gradient(135deg,#ff4d4d,#b30000);
    color:#fff;
    text-decoration:none;
    border-radius:8px;
}

.btn-back:hover{
    background:#fff;
    color:#b30000;
}

/* MAIN LAYOUT */
.container{
    display:flex;
    gap:40px;
    padding:50px;
    justify-content:center;
    align-items:flex-start;
    flex-wrap:wrap;
}

/* LEFT SIDE (title + form) */
.left-section{
    flex:1;
    max-width:400px;
}

/* TITLE */
.main-title{
    margin-bottom:20px;
    text-align:left; /* align kiri ikut form */
    padding-left: 30px;
}

/* FORM BOX */
.form-wrapper{
    background:rgba(255,255,255,0.15);
    padding:25px;
    border-radius:15px;
    backdrop-filter:blur(10px);
}

form label{
    display:block;
    margin-bottom:6px;
}
form input,
form textarea{
    width:100%;
    padding:10px;
    margin-bottom:15px;
    border-radius:8px;
    border:none;
}

form button{
    display:block;
    margin:auto;
    padding:12px 30px;
    background:#fff;
    border:none;
    border-radius:10px;
    font-weight:bold;
    cursor:pointer;
}

form button:hover{
    transform:scale(1.05);
}

/* VERTICAL DIVIDER */
.divider-vertical{
    width:1px;
    background:#fff;
    align-self:stretch;
}

/* RIGHT SIDE (table) */
.table-section{
    flex:2;
    min-width:500px;
    background:rgba(255,255,255,0.1);
    padding:20px;
    border-radius:15px;
}

.table-section h3{
    margin-bottom:15px;
}

table{
    width:100%;
    border-collapse:collapse;
    background:#fff;
    color:#000;
    border-radius:10px;
    overflow:hidden;
}

th{
    background:#b30000;
    color:#fff;
    padding:10px;
}

td{
    padding:8px;
    text-align:center;
}

tr:nth-child(even){
    background:#f2f2f2;
}

tr:hover{
    background:#ddd;
}

/* DELETE BUTTON */
.delete{
    padding:6px 15px;
    background:red;
    color:#fff;
    border-radius:8px;
    text-decoration:none;
}
.table-section a {
    text-decoration: none;
    color: inherit; 
}

.table-section a:hover {
    text-decoration:none;
    color: #b30000; 
}


/* RESPONSIVE */
@media(max-width:768px){
    .container{
        flex-direction:column;
        align-items:center;
    }

    .divider-vertical{
        width:100%;
        height:1px;
        margin:20px 0;
    }
}